require: rubocop-rspec

AllCops:
  Exclude:
    - 'bin/**/*'
    - 'vendor/**/*'
    - 'db/schema.rb'
    - 'Guardfile'

  DisplayCopNames: true
  DisplayStyleGuide: true
  TargetRubyVersion: 2.3

#BlockDelimiters:
#  EnforcedStyle: semantic

Metrics/AbcSize:
  Enabled: false

Metrics/BlockLength:
  Exclude:
    - spec/**/*_spec.rb
    - spec/factories/*.rb

Metrics/LineLength:
  Max: 120
  AllowURI: true
  AllowHeredoc: true
  Exclude:
    - spec/**/*_spec.rb

Metrics/MethodLength:
  Max: 20

RSpec/DescribeClass:
  Exclude:
    - 'spec/schema/**/*'
    - 'spec/features/**/*'
    - 'spec/routing/**/*'
    - 'spec/views/**/*'
    - 'db/**/*'

RSpec/ExampleLength:
  Max: 9

RSpec/LetSetup:
  Enabled: false

RSpec/MultipleExpectations:
  Max: 3

RSpec/NestedGroups:
  Max: 4

Rails:
  Enabled: true

Rails/ApplicationRecord:
  Enabled: false

Style/AsciiComments:
  Enabled: false

Style/ClassAndModuleChildren:
  Enabled: false

Style/Documentation:
  Enabled: false

Layout/EndOfLine:
  Enabled: false

Style/TrailingCommaInArguments:
  EnforcedStyleForMultiline: comma

Style/TrailingCommaInArrayLiteral:
  EnforcedStyleForMultiline: consistent_comma

Style/TrailingCommaInHashLiteral:
  EnforcedStyleForMultiline: consistent_comma
